Subject: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Stefan Monnier <[email-masked]>
Date: Sun, 20 Feb 2022 10:14:36 -0500

> But adding ./ to file names that start with - should be safe, I think?
> So I've now done that in Emacs 29.

The problem with that is that it's hackish and ad-hoc.  It will
sometimes do the right thing, but other times it' not what's expected
and users will find it odd.

An alternative is to pass absolute file names.  And I think it would
make sense in that case to let the user choose between relative names
and absolute names.

        Stefan